Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596532 - SELinux is preventing /usr/bin/passwd "execute" access on /usr/bin/passwd.
SELinux is preventing /usr/bin/passwd "execute" access on /usr/bin/passwd.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:4650e15a0ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 17:37 EDT by Gen Zhang
Modified: 2010-07-08 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gen Zhang 2010-05-26 17:37:27 EDT
Summary:

SELinux is preventing /usr/bin/passwd "execute" access on /usr/bin/passwd.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by passwd. It is not expected that this access
is required by passwd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:accountsd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:passwd_exec_t:s0
Target Objects                /usr/bin/passwd [ file ]
Source                        passwd
Source Path                   /usr/bin/passwd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           passwd-0.77-5.fc13
Target RPM Packages           passwd-0.77-5.fc13
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.4-95.fc13.x86_64 #1 SMP Thu
                              May 13 05:16:23 UTC 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Wed 26 May 2010 22:36:22 BST
Last Seen                     Wed 26 May 2010 22:36:22 BST
Local ID                      219b7536-bbd2-4907-b423-ff6f1cf9bd9a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274909782.296:55194): avc:  denied  { execute } for  pid=584 comm="accounts-daemon" name="passwd" dev=sda2 ino=3425350 scontext=system_u:system_r:accountsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:passwd_exec_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1274909782.296:55194): avc:  denied  { read open } for  pid=584 comm="accounts-daemon" name="passwd" dev=sda2 ino=3425350 scontext=system_u:system_r:accountsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:passwd_exec_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1274909782.296:55194): avc:  denied  { execute_no_trans } for  pid=584 comm="accounts-daemon" path="/usr/bin/passwd" dev=sda2 ino=3425350 scontext=system_u:system_r:accountsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:passwd_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274909782.296:55194): arch=c000003e syscall=59 success=yes exit=0 a0=40bcef a1=7fff5fb44f10 a2=127bb20 a3=7fff5fb448c0 items=0 ppid=27016 pid=584 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=15 comm="passwd" exe="/usr/bin/passwd" subj=system_u:system_r:accountsd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,passwd,accountsd_t,passwd_exec_t,file,execute
audit2allow suggests:

#============= accountsd_t ==============
allow accountsd_t passwd_exec_t:file { read execute open execute_no_trans };
Comment 1 Miroslav Grepl 2010-05-28 06:58:15 EDT
Fixed in selinux-policy-3.7.19-22.fc13

Note You need to log in before you can comment on or make changes to this bug.